import type { Container } from "../../Core/Container";
import type { IContainerPlugin, ICoordinates, IDelta, IDimension } from "../../Core/Interfaces";
import { Particle } from "../../Core/Particle";
import type { ISvgPath } from "./Interfaces/ISvgPath";
import type { RecursivePartial } from "../../Types";
import { PolygonMask } from "./Options/Classes/PolygonMask";
import { OutModeDirection } from "../../Enums";
import type { IPolygonMaskOptions } from "./types";
export declare class PolygonMaskInstance implements IContainerPlugin {
    private readonly container;
    redrawTimeout?: number;
    raw?: ICoordinates[];
    paths?: ISvgPath[];
    dimension: IDimension;
    offset?: ICoordinates;
    readonly path2DSupported: boolean;
    readonly options: PolygonMask;
    private polygonMaskMoveRadius;
    constructor(container: Container);
    initAsync(options?: RecursivePartial<IPolygonMaskOptions>): Promise<void>;
    resize(): void;
    stop(): void;
    particlesInitialization(): boolean;
    particlePosition(position?: ICoordinates): ICoordinates | undefined;
    particleBounce(particle: Particle, delta: IDelta, direction: OutModeDirection): boolean;
    clickPositionValid(position: ICoordinates): boolean;
    draw(context: CanvasRenderingContext2D): void;
    private polygonBounce;
    private checkInsidePolygon;
    private parseSvgPath;
    private downloadSvgPath;
    private drawPoints;
    private randomPoint;
    private getRandomPoint;
    private getRandomPointByLength;
    private getEquidistantPointByIndex;
    private getPointByIndex;
    private createPath2D;
    private initRawData;
}
